Bug 510644 - BCM4311 (rev 02) doesn't work with b43-openfwwf.
BCM4311 (rev 02) doesn't work with b43-openfwwf.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: b43-openfwwf (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 23:02 EDT by Gideon Mayhak
Modified: 2014-08-10 11:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-10 11:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gideon Mayhak 2009-07-09 23:02:15 EDT
Description of problem:
I know it's not expected to work yet, as only "4311(rev1)" is listed as supported, but I wanted to create a bug early on to let you know I'm willing to test and provide system logs to get it working.

Version-Release number of selected component (if applicable):
b43-openfwwf-5.1-3.fc11.noarch.rpm

How reproducible:
Every time.

Steps to Reproduce:
1. Remove existing /lib/firmware/b43 directory
2. Install b43-openfwwf
3. Reboot
  
Actual results:
No wireless; light stays orange.

Expected results:
Wireless; light turns blue.

Additional info:
Output of lspci -nn:
03:00.0 Network controller [0280]: Broadcom Corporation BCM4311 802.11b/g WLAN [14e4:4311] (rev 02)

I am so glad open firmware is making progress for the Broadcom chipsets.  My rev 02 took a little while longer before it was compatible with b43-fwcutter, so I can understand why it's not yet compatible with b43-openfwwf.  Let me know it there's anything I can do to help (from a non-programmer standpoint).
Comment 1 Gideon Mayhak 2009-08-26 00:58:08 EDT
This still does not work under current rawhide.  Not that I expected it to; just wanted to update.
Comment 2 Gideon Mayhak 2009-10-21 17:12:39 EDT
Just did a fresh install of F12 Beta.  Glad to see b43-openfwwf is installed by default, but it still doesn't work with my chipset.  Had to use b43-fwcutter as always.
Comment 3 Bug Zapper 2009-11-16 05:45:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Lemenkov 2009-11-19 05:44:15 EST
This issue is still exists, so I remapping it back as rawhide.
Comment 5 Mano Kumar Jha 2010-02-01 05:05:50 EST
Install broadcom-wl and kmode-wl and add  intel_iommu=off in /etc/grub.conf and enjoy wireless.




Cheers,
Manoj Kumar Jha
Comment 6 Bug Zapper 2010-03-15 08:41:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vedran Miletić 2010-06-07 14:45:49 EDT
Gideon, how about Fedora 13 final?
Comment 8 Gideon Mayhak 2010-06-09 01:45:48 EDT
I did set up a live USB F13, and wireless did not work with the default b43-openfwwf package.  I still had to extract the firmware with b43-fwcutter.  Thanks for asking, but the openfwwf firmware hasn't actually been updated since mid-2009.
Comment 9 Bug Zapper 2010-07-30 06:42:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 joshua 2011-11-15 12:54:06 EST
Doesn't work with Broadcom Corporation BCM43224 802.11a/b/g/n (rev 01) on my MacBook Pro and F16 either
Comment 11 joshua 2012-04-12 18:13:48 EDT
The new F16 kernel completely changed everything in regards to my BCM43224 802.11a/b/g/n (rev 01) working.  It may be worth retesting.
Comment 12 Fedora End Of Life 2013-04-03 14:44:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 13 Peter Lemenkov 2014-08-10 11:25:03 EDT
I'm afraid it's time to close this as CANTFIX. if anyone is interested in (and/or capable of) implementing this, then please contact upstream. We can't help much here.

Note You need to log in before you can comment on or make changes to this bug.